Cannot run whatsapp on Galaxy Note ; Android 4

Solved/Closed
Shumifan16 - Feb 24, 2023 at 11:55 AM
HelpiOS Posts 14388 Registration date Friday October 30, 2015 Status Moderator Last seen July 17, 2024 - Feb 25, 2023 at 11:35 AM

Hello,

I  want to give my old Galaxy Note to our gardener, but he will need Whatsapp to contact his children in Botswana (we are in South Africa). I have downloaded an old version from 2017 and it installed fine, but when I run it, it complains that 'your phone date is inaccurate - fix it'. It then presents the set date/time settings and I have no idea what date/time it wants as it is set correctly from the internet. Any help will be greatly appreciated. If I had the money I would buy him a phone, but sadly I am a pensioner and cannot afford it.


Linux / Chrome 110.0.0.0

Related:

2 responses

HelpiOS Posts 14388 Registration date Friday October 30, 2015 Status Moderator Last seen July 17, 2024 1,878
Updated on Feb 24, 2023 at 12:27 PM

Hi,

If your phone is under Android 4.1 or higher, you can install the latest version of WhatsApp. Installing an older version may cause malfunctions of the app.


Hi, I tried to install latest version before, but it did not want to install. Tried again, updating, after installing the old version, and then it worked. Thanks for your assistance. My gardener will be VERY happy.

0
HelpiOS Posts 14388 Registration date Friday October 30, 2015 Status Moderator Last seen July 17, 2024 1,878 > Shumifan16
Feb 25, 2023 at 11:35 AM

I'm glad to hear that!

0
Alexblue_1880 Posts 4 Registration date Friday February 24, 2023 Status Member Last seen February 25, 2023 2
Feb 25, 2023 at 02:38 AM

Hello! I'm sorry to hear that you're having trouble getting WhatsApp to work on your old Galaxy Note. It sounds like the issue may be related to the date and time settings on your device.

One thing you can try is to manually set the date and time on your phone. To do this, go to the Settings app and look for the Date and Time settings. Turn off the option to set the date and time automatically, and then set the date and time manually to a date that is close to the time when the old version of WhatsApp was released (2017). You can try setting the date to January 1st, 2017, for example.

If that doesn't work, you may need to look for a more recent version of WhatsApp that is compatible with your device. You can try searching for an older version of WhatsApp that is more recent than the 2017 version you currently have, but still compatible with your device.

Finally, if all else fails, you may need to consider getting a new phone for your gardener, or helping him to find an affordable option. There are many inexpensive smartphones available that should be able to run the latest version of WhatsApp without any issues.

See previous answer. I tried changing the date/time, but it gives no indication of what date/time it expects. But it now works after updating to latest version after installing the old version with the time problem. Thanks for suggestions.

0